getVpcDetail

Prev Next

Available in VPC

Get VPC details by specifying the VPC number.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vpc/v2/getVpcDetail
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all VPC APIs, see VPC common headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code where you want to query the VPC details
vpcNo String Required Query the VPC details with the VPC number.
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/getVpcDetail
?regionCode=KR
&vpcNo=***04
&responseFormatType=xml' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See VpcList for the response body.

Response status codes

For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.

Response example

The response example is as follows:

<getVpcDetailResponse>
  <requestId>13f37a8e-780f-4f32-9115-503a2026cf6d</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>1</totalRows>
  <vpcList>
    <vpc>
      <vpcNo>***04</vpcNo>
      <vpcName>test-***</vpcName>
      <ipv4CidrBlock>***.***.0.0/16</ipv4CidrBlock>
      <vpcStatus>
        <code>RUN</code>
        <codeName>run</codeName>
      </vpcStatus>
      <regionCode>KR</regionCode>
      <createDate>2020-07-16T22:23:50+0900</createDate>
    </vpc>
  </vpcList>
</getVpcDetailResponse>